%define maj 4
%define min 1
%define rel 1

Summary:     Linux Kernel Crash Dumps (LKCD) utilities
Name:        lkcdutils
Version:     %{maj}.%{min}.%{rel}
Release:     5.pp
License:     GPL
Group:       System Environment/Console
Source0:     http://lkcd.sourceforge.net/download/%{version}/%{name}/lkcdutils-%{maj}.%{min}-%{rel}.tar.gz
Source1:     lkcd-rc.sysinit.patch
Source2:     dump.sysconfig
URL:         http://lkcd.sourceforge.net/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    kernel >= 2.4.26 kernel.lkcd binutils >= 2.14 ncurses
Requires:    zlib ksymoops
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/grep /usr/bin/patch /bin/chmod
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: kernel-source >= 2.4.26 byacc binutils >= 2.14
BuildPrereq: ncurses-devel zlib-devel flex
ExclusiveOS: linux

%description
This software package contains system crash dump analyzer tools.
It includes Linux Crash (lcrash) and all appropriate user level
scripts required for saving and configuring system crash dumps.
You need an lkcd-enabled kernel to use it.


%package devel
Group:       Development/Libraries
Summary:     Development tools for LKCD
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the static libraries and
header files for developing software with LKCD.


%prep
%setup -q -n %{name}-%{maj}.%{min}
cp -f ${RPM_SOURCE_DIR}/lkcd-rc.sysinit.patch .


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--topdir=/usr/src/linux-2.4 \
	--arch=i386
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make ROOT=$RPM_BUILD_ROOT install
install -m 0644 ${RPM_SOURCE_DIR}/dump.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/dump
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share


%post
if [ ! -d /var/log/dump ]; then
   mkdir -p -m 0700 /var/log/dump
else
   chmod 0700 /var/log/dump
fi
if ! grep /sbin/lkcd /etc/rc.sysinit > /dev/null 2>&1; then
   echo "Adding LKCD support to /etc/rc.sysinit ..."
   /usr/bin/patch -p0 < %{_defaultdocdir}/%{name}-%{version}/lkcd-rc.sysinit.patch
fi


%triggerin -- initscripts
if ! grep /sbin/lkcd /etc/rc.sysinit > /dev/null 2>&1; then
   echo "Adding LKCD support to /etc/rc.sysinit ..."
   /usr/bin/patch -p0 < %{_defaultdocdir}/%{name}-%{version}/lkcd-rc.sysinit.patch
fi


%preun
if [ $1 = 0 ] ; then
   if grep /sbin/lkcd /etc/rc.sysinit > /dev/null 2>&1; then
      echo "Removing LKCD support from /etc/rc.sysinit ..."
      /usr/bin/patch -R -p0 < %{_defaultdocdir}/%{name}-%{version}/lkcd-rc.sysinit.patch
   fi
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README* *.patch
%doc %dir docs
%config %attr(644,root,root) /etc/sysconfig/dump
%attr(700,root,root) /sbin/*
/usr/share/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*


%changelog
* Wed Sep 28 2004 peter.pramberger@1012surf.net
- small bugfixes

* Fri Sep 19 2003 peter.pramberger@1012surf.net
- man pages moved to /usr/share/man
- re-patch /etc/rc.sysinit after update

* Fri Aug 15 2003 peter.pramberger@1012surf.net
- created

